---
title: SVGTransformable
slug: Web/API/SVGTransformable
tags:
  - API
  - NeedsExample
  - Reference
  - Référence(2)
  - SVG
  - SVG DOM
---
<div>{{obsolete_header}}{{APIRef("SVG")}}</div>

<p>Interface <code>SVGTransformable</code> contains properties and methods that apply to all elements which have attribute {{ SVGAttr("transform") }}.</p>

<h3 id="Interface_overview">Interface overview</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Also implement</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Methods</th>
   <td><em>None</em></td>
  </tr>
  <tr>
   <th scope="row">Properties</th>
   <td>
    <ul>
     <li>readonly {{ domxref("SVGAnimatedTransformList") }} <code>transform</code></li>
    </ul>
   </td>
  </tr>
  <tr>
   <th scope="row">Normative document</th>
   <td><a class="external" href="http://www.w3.org/TR/SVG11/types.html#InterfaceSVGTransformable">SVG 1.1 (2nd Edition)</a></td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th>Name</th>
   <th>Type</th>
   <th>Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code>transform</code></td>
   <td>{{ domxref("SVGAnimatedTransformList") }}</td>
   <td>Corresponds to attribute {{ SVGAttr("transform") }} on the given element.</td>
  </tr>
 </tbody>
</table>

<h2 id="Methods">Methods</h2>

<p>The <code>SVGTransformable</code> interface do not provide any specific methods.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGTransformable")}}</p>
